import numpy as np
import math
def recursive_conv(x, a, n):
    if n == 0:
        return x[0]
    else:
        if n >= len(x):
            return a*recursive_conv(x, a, n-1)
        return a*recursive_conv(x, a, n-1) + x[n]

if __name__ == "__main__":
    x = np.array([1, 2, 3, 4, 5, 6])
    h = np.array([1, 2, 4, 8, 16, 32])
    conv_res = np.convolve(x, h, 'full')
    print("Golden:", conv_res[:len(x)])
    print("Result:", end=' ')
    for i in range(len(x)):
        print(recursive_conv(x, 2, i), end=' ')
    # for i in range()